# $Revision: 1.9 $, $Date: 2011/09/17 06:11:44 $
Summary:	Userspace RDMA Connection Manager
Summary(pl.UTF-8):	Zarządca połączeń RDMA w przestrzeni użytkowika
Name:		librdmacm
Version:	1.0.15
Release:	1
License:	BSD or GPL v2
Group:		Libraries
Source0:	http://www.openfabrics.org/downloads/rdmacm/%{name}-%{version}.tar.gz
# Source0-md5:	0053fd9a7368f04e72287923eb58ea36
Source1:	%{name}.pc.in
URL:		http://www.openfabrics.org/
BuildRequires:	libibverbs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
librdmacm provides a userspace RDMA Communication Management API.

%description -l pl.UTF-8
librdmacm udostępnia API RDMA Communication Management (zarządzające
połączeniami RDMA) w przestrzeni użytkownika.

%package devel
Summary:	Header files for librdmacm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki librdmacm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libibverbs-devel

%description devel
Header files for librdmacm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki librdmacm.

%package static
Summary:	Static librdmacm library
Summary(pl.UTF-8):	Statyczna biblioteka librdmacm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static librdmacm library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę librdmacm.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# check if not present already
[ ! -f $RPM_BUILD_ROOT%{_pkgconfigdir}/rdmacm.pc ] || exit 1
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
sed -e 's,@prefix@,%{_prefix},;
	s,@libdir@,%{_libdir},;
	s,@LIBVERSION@,%{version},' %{SOURCE1} >$RPM_BUILD_ROOT%{_pkgconfigdir}/rdmacm.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_bindir}/mckey
%attr(755,root,root) %{_bindir}/rdma_client
%attr(755,root,root) %{_bindir}/rdma_server
%attr(755,root,root) %{_bindir}/rdma_xclient
%attr(755,root,root) %{_bindir}/rdma_xserver
%attr(755,root,root) %{_bindir}/rping
%attr(755,root,root) %{_bindir}/ucmatose
%attr(755,root,root) %{_bindir}/udaddy
%attr(755,root,root) %{_libdir}/librdmacm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librdmacm.so.1
%{_mandir}/man1/mckey.1*
%{_mandir}/man1/rdma_client.1*
%{_mandir}/man1/rdma_server.1*
%{_mandir}/man1/rdma_xclient.1*
%{_mandir}/man1/rdma_xserver.1*
%{_mandir}/man1/rping.1*
%{_mandir}/man1/ucmatose.1*
%{_mandir}/man1/udaddy.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librdmacm.so
%{_libdir}/librdmacm.la
%{_includedir}/infiniband/ib.h
%{_includedir}/rdma
%{_pkgconfigdir}/rdmacm.pc
%{_mandir}/man3/rdma_*.3*
%{_mandir}/man7/rdma_cm.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/librdmacm.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: librdmacm.spec,v $
Revision 1.9  2011/09/17 06:11:44  qboosh
- updated to 1.0.15

Revision 1.8  2011/07/22 10:03:43  marti
- added BR

Revision 1.7  2011/03/12 11:44:03  qboosh
- updated to 1.0.14.1

Revision 1.6  2011/01/08 21:23:20  qboosh
- updated to 1.0.14

Revision 1.5  2010/09/10 17:54:33  qboosh
- typo

Revision 1.4  2010/09/10 17:54:18  qboosh
- added pkgconfig file (expected by e.g. corosync)

Revision 1.3  2010/09/10 07:10:49  qboosh
- updated to 1.0.13
- pl

Revision 1.2  2009/03/01 18:41:18  arekm
- add BR libiverbs-devel

Revision 1.1  2009/03/01 17:28:32  arekm
- initial
